Error!!

Discussion in 'iPod touch' started by whosdifferent, May 3, 2010.

  1. whosdifferent

    whosdifferent Member

    Joined:
    Dec 24, 2008
    Messages:
    97
    Likes Received:
    4
    Device:
    5G iPod touch
    when i try to open spirit it says:

    Spirit requires iTunes 9 to function. Please install a correct version of iTunes the run Spirit again!!

    I have the latest ver of iTunes and it still does not works??
    HEEELLLPPPPP!!!

    Please Register or Log in to view images

    Please Register or Log in to view images

  2. SpoonIsTooBig

    SpoonIsTooBig Member

    Joined:
    Dec 14, 2008
    Messages:
    396
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    run as admin?
  3. whosdifferent

    whosdifferent Member

    Joined:
    Dec 24, 2008
    Messages:
    97
    Likes Received:
    4
    Device:
    5G iPod touch
  4. SpoonIsTooBig

    SpoonIsTooBig Member

    Joined:
    Dec 14, 2008
    Messages:
    396
    Likes Received:
    0
    Device:
    iPhone 4 (Black)

Share This Page